Bug 773290 - crashes on using combo box in import dialog
Summary: crashes on using combo box in import dialog
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wireshark
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Safranek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-11 12:51 UTC by Edward Sheldrake
Modified: 2012-03-21 02:39 UTC (History)
4 users (show)

Fixed In Version: wireshark-1.6.5-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-13 18:44:19 UTC
Type: ---


Attachments (Terms of Use)
backtrace (4.66 KB, text/plain)
2012-01-11 12:51 UTC, Edward Sheldrake
no flags Details
fix (417 bytes, patch)
2012-01-11 12:52 UTC, Edward Sheldrake
no flags Details | Diff

Description Edward Sheldrake 2012-01-11 12:51:51 UTC
Created attachment 552102 [details]
backtrace

Description of problem:
wireshark crashes if you open the file import dialog and choose something from the "Encapsulation type" list.

Version-Release number of selected component (if applicable):
wireshark-gnome-1.6.4-1.fc16.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Start wireshark
2. Choose "Import" from the File menu
3. Pick something else from the "Encapsulation type" list e.g. "IEEE 802.11 Wireless LAN"
  
Actual results:
Wireshark crashes with the terminal message:
*** stack smashing detected ***: wireshark terminated

Expected results:
No crash.

Additional info:

Comment 1 Edward Sheldrake 2012-01-11 12:52:56 UTC
Created attachment 552103 [details]
fix

Comment 2 nucleo 2012-01-11 12:58:48 UTC
1.6.5 also crashes.

Comment 3 Jan Safranek 2012-01-12 08:32:41 UTC
Reported upstream: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6729

Comment 4 Fedora Update System 2012-03-09 16:51:36 UTC
wireshark-1.6.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/wireshark-1.6.5-2.fc17

Comment 5 Fedora Update System 2012-03-09 16:51:46 UTC
wireshark-1.6.5-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/wireshark-1.6.5-2.fc16

Comment 6 Fedora Update System 2012-03-09 17:57:11 UTC
Package wireshark-1.6.5-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wireshark-1.6.5-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3454/wireshark-1.6.5-2.fc17
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-03-13 18:44:19 UTC
wireshark-1.6.5-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-03-21 02:39:26 UTC
wireshark-1.6.5-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.